#ifndef BJ130E_H
#define BJ130E_H

#include <AppKit.h>
#include <InterfaceKit.h>

#include "Printer.h"

class BJ130e : public Printer
	{
	public:
		// constructors / destructor
		BJ130e();
		~BJ130e();
		
		// public methods
		status_t 			PrintPage(BFile * spool, BMessage * job_msg, int32 page_number, int32 page_count);

		status_t			InitPrinter();
		status_t			ExitPrinter();
		status_t			BeginPage();
		status_t			EndPage();
		
	private:
		status_t			WriteHiLo(int value);
		status_t			WriteLoHi(int value);
	
		BBitmap *			m_page_bitmap;
	};

#endif	// #if BJ130E_H

